Bug 150223 - [patch] x11-drivers/xorg-drivers/Makefile refers nonexistent modules
[patch] x11-drivers/xorg-drivers/Makefile refers nonexistent modules
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: freebsd-x11
Depends on:
  Show dependency treegraph
Reported: 2010-09-02 14:10 UTC by anatoly.borodin
Modified: 2011-02-25 17:21 UTC (History)
0 users

See Also:

file.txt (964 bytes, text/plain)
2010-09-02 14:10 UTC, anatoly.borodin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description anatoly.borodin 2010-09-02 14:10:07 UTC
x11-drivers/xorg-drivers builds dynamically the list of modules for OPTIONS. Some of the modules are absent in the ports.

Fix: Apply the patch.

Patch attached with submission follows:
How-To-Repeat: # cd /usr/ports/x11-drivers/xorg-drivers && make rmconfig && make config && make clean

===> Removing user-configured options for xorg-drivers-7.5
.. (use default options here)...
xorg-drivers-7.5: "/usr/ports/x11-drivers/xf86-input-microtouch" non-existent -- dependency list incomplete
xorg-drivers-7.5: "/usr/ports/x11-drivers/xf86-video-nsc" non-existent -- dependency list incomplete
Comment 1 Edwin Groothuis freebsd_committer 2010-09-02 14:10:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2011-02-19 03:06:08 UTC
State Changed
From-To: open->patched

patched in xorg-dev
Comment 3 Martin Wilke freebsd_committer 2011-02-25 17:21:36 UTC
State Changed
From-To: patched->closed

Committed. Thanks!